petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecNestGetSubVec

Returns a single, sub-vector from a nest vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestGetSubVec(Vec X,PetscInt idxm,Vec *sx)

Not collective

### Input Parameters

. X - nest vector . idxm - index of the vector within the nest

### Output Parameter

. sx - vector at index idxm within the nest

### Notes

.seealso: VecNestGetSize(), VecNestGetSubVecs()

### Level

developer

### Location

src/vec/vec/impls/nest/vecnest.c

### Implementations

VecNestGetSubVec_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages